/*
 * Class reference TYPED_POINTER [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_810 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_810 [] = {0xFF01,237,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_810 [] = {0xFF01,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_810 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_810 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_810 [] = {0xFF01,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_810 [] = {0xFF01,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_810 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_810 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_810 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_810 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_810 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_810 [] = {0xFF01,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_810 [] = {0xFF01,809,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_810 [] = {0xFF01,214,0xFFFF};
static const EIF_TYPE_INDEX egt_15_810 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_810[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_810), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_810), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_810), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_810), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_810), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_810), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_810), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_810), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_810), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_810), 11137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_810), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_810), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_810), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_810), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11119, 0},
	{EIF_GENERIC(NULL), 11121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11126, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_810), 11127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11128, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11130, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11136, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11138, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11139, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11144, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11145, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_810), -1, 0xFFFFFFFF},
};
void Init810(void)
{
	IDSC(desc_810, 0, 809);
	IDSC(desc_810 + 1, 1, 809);
	IDSC(desc_810 + 32, 39, 809);
	IDSC(desc_810 + 35, 248, 809);
	IDSC(desc_810 + 37, 102, 809);
	IDSC(desc_810 + 60, 10, 809);
}


#ifdef __cplusplus
}
#endif
